libwnck3 2.91.90-1 source package in Ubuntu

Changelog

libwnck3 (2.91.90-1) experimental; urgency=low

  [ Robert Ancell ]
  * Initial Release (based on libwnck package)

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update build dependencies.
  * debian/libwnck-3-0.symbols:
    + Updated.
  * debian/rules:
    + Abort the build if the symbols file is outdated.
    + Make the shlibs file always depend on the latest upstream version.

  [ Josselin Mouette ]
  * New upstream pre-release.
  * 01_tasklist_orientation.patch: update for new version, and fix 
    header.
  * Update build-dependencies.
  * Move documentation back to /usr/share/gtk-doc.

libwnck (2.30.4-3) unstable; urgency=low

  * Remove gir1.0-wnck-1.0 to ease the gir1.2 transition, since nothing
    depends on it.

libwnck (2.30.4-2) unstable; urgency=low

  * 10_pager_multirow.patch: stolen upstream. Fix an unitialized value 
    bug that causes issues with:
    + Multi-row pagers. Closes: #597540.
    + Vertical pagers. Closes: #598122.
    + Xmonad. Closes: #597911.

libwnck (2.30.4-1) unstable; urgency=low

  * 01_tasklist_orientation.patch: require to set a macro to use the 
    non-upstreamed API.
  * New upstream translation and bugfix release.

libwnck (2.30.3-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    - Standards-Version is 3.9.0, no changes needed.

  [ Josselin Mouette ]
  * New upstream translation and bugfix release.

libwnck (2.30.0-4) unstable; urgency=low

  * Build-depend on gir-repository-dev until GTK+ has its GI bindings 
    built in the package.

libwnck (2.30.0-3) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in:
    - list a new gir1.0-wnck-1.0 binary
    - libwnck-dev replaces gir-repository-dev
  * debian/gir1.0-wnck-1.0.install,
    debian/libwnck-dev.install:
    - install the gir and typelib
  * debian/rules:
    - use dh_girepository

  [ Josselin Mouette ]
  * Fix GIR package description.
  * Disable 01_vertical_panel.patch. Closes: #588721.
  * 01_tasklist_orientation.patch: patch from Jean-Luc Porquet to fix 
    #524117 in a more elegant way by extending the API.
  * Bump shlibs accordingly.

libwnck (2.30.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt) format.
  * 01_vertical_panel.patch: patch from Carey Underwood and Leniviy to 
    fix lockups when the window list applet is on a vertical panel.
    Closes: #524117.

libwnck (2.30.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.

libwnck (2.28.0-1) unstable; urgency=low

  * New upstream release.
    - debian/control.in:
      + Bump libgtk2.0-dev build dependency to 2.16.0.
  * debian/patches/90_relibtoolize.patch:
    - Removed, no longer needed now that upstream uses a recent libtool.
  * debian/control.in:
    - Standards-Version is 3.8.3, no changes needed.
    - Let libwnck22 and libwnck-common inherit the section from the source
      stanza.
    - Don't build depend on libstartup-notification0-dev >= 0.7-1, 0.7 is
      just fine.

libwnck (2.26.1-1) unstable; urgency=low

  * Build-depend on libglib2.0-doc and libgtk2.0-doc to ensure proper 
    xrefs.
  * New upstream release.
  * Bump build-dep on libglib2.0-dev.
  * 90_relibtoolize.patch: updated for the new version.

libwnck (2.24.2-2) unstable; urgency=low

  * Upload to unstable.

libwnck (2.24.2-1) experimental; urgency=low

  * New upstream release.

libwnck (2.24.1-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/libwnck-dev.doc-base: fix section.

  [ Josselin Mouette ]
  * New upstream release.
  * Add build-dependency on intltool.
  * 90_relibtoolize.patch: relibtoolize to avoid the amd64 rpath issue.
  * Pass --as-needed to the linker.
  * 99_ltmain_as-needed.patch: make it work.

libwnck (2.22.3-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/60_last-window.patch:
      - Dropped, merged upstream.
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

libwnck (2.22.1-2) unstable; urgency=low

  * New patch, 60_last-window, fix handling of the last window which
    disappears; from SVN r1629; see also
    <http://code.google.com/p/xmonad/issues/detail?id=195>; thanks
    Marco Túlio Gontijo.

libwnck (2.22.1-1) unstable; urgency=low

  * New upstream bugfix release.

libwnck (2.22.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Add ${shlibs:Depends} to libwnck-dev.

  [ Sebastian Dröge ]
  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies and dependencies of the -dev package.
    + debian/libwnck22.shlibs:
      - Updated to >= 2.22.0 because of new API.

libwnck (2.20.3-1) unstable; urgency=low

  [ Loic Minier ]
  * Drop useless version computation in rules.

  [ Sebastian Dröge ]
  * New upstream release with translation updates.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

libwnck (2.20.2-1) unstable; urgency=low

  * New upstream bugfix release.

libwnck (2.20.1-1) unstable; urgency=low

  * New upstream bugfix release.

libwnck (2.20.0-1) unstable; urgency=low

  * Drop useless --libexecdir from configure flags.
  * Don't include autotools.mk as it's already included by gnome.mk.
  * Use ${binary:Version} instead of ${Source-Version}; build-dep on dpkg-dev
    (>= 1.3.19).
  * New upstream major stable release; no API change.
    - Target at unstable; drop check-dist include.

libwnck (2.19.5-1) experimental; urgency=low

  * New upstream release series; these are development releases, the API may
    still change incompatibly but is not expected to only see additions until
    2.20.
    - Target at experimental; include check-dist.
    - Rename libwnck18 to libwnck22 for SONAME change due to API and ABI
      changes.
    - Bump shlibs to 2.19.5 where the last API additions happened.
    - Unversion the libwnck-common dependency to permit parallel installation
      of libwnck18; it only ships translations.
    - Bump libgtk2.0-dev build-dep to >= 2.11.3 and build-dep on
      libglib2.0-dev (>= 2.13.0).
    - Install new wnckprop utility in libwnck-dev as it doesn't warrant a new
      package but might still be useful.
  * Include CDBS' utils.

libwnck (2.18.3-1) unstable; urgency=low

  * New upstream stable release; no API change; bug fixes.

libwnck (2.18.2-1) unstable; urgency=low

  * New upstream stable release; with API additions.
    - Bump libwnck18's shlibs to >= 2.18.2.

libwnck (2.18.0-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Set LDFLAGS directly instead of via DEB_CONFIGURE_SCRIPT_ENV; build-depend
    on cdbs >= 0.4.41; cleanups.
  * Bump up Debhelper compatibility level to 5.
  * Add ${misc:Depends}.
  * Wrap build-deps and deps.

libwnck (2.18.0-1) experimental; urgency=low

  * New upstream release, no API changes.
  * Fixing the copyright file.

libwnck (2.16.3-1) experimental; urgency=low

  [ Loic Minier ]
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Include the new check-dist Makefile to prevent accidental uploads to
    unstable; bump build-dep on gnome-pkg-tools to >= 0.10.

  [ Josselin Mouette ]
  * New upstream release.

libwnck (2.16.2-1) experimental; urgency=low

  [ Loic Minier ]
  * Fix watch file to use HTTP.

  [ Josselin Mouette ]
  * New upstream release.

libwnck (2.16.1-1) experimental; urgency=low

  * New upstream release.
  * Update watch file.
  * rules: include clean-la.mk and gnome-version.mk.
  * Build-depend on gnome-pkg-tools 0.7.
  * libwnck18 depends on libwnck-common with ${gnome:Version} 
    restrictions.

libwnck (2.16.0-1) experimental; urgency=low

  * New upstream release; no API changes.

libwnck (2.15.91-1) experimental; urgency=low

  * New upstream development releases; with API additions.
    - Target at experimental.
    - Bump shlibs to >= 2.15.90.

libwnck (2.14.3-1) unstable; urgency=low

  [ Marco Cabizza ]
  * debian/control, debian/control.in:
    - Standards-Version is 3.7.2
  * Fixed debian/watch

  [ Loic Minier ]
  * New upstream release; no API changes.

libwnck (2.14.2-1) unstable; urgency=low

  * Remove obsolete xlibs-dev build-dep.
    [debian/control, debian/control.in]
  * New upstream release.

libwnck (2.14.1-2) unstable; urgency=medium

  * Stop shipping /usr/lib/*.la files in libwnck-dev.
    [debian/libwnck-dev.install]
  * Bump shlibs to >= 2.14.0.
    [debian/libwnck18.shlibs]

libwnck (2.14.1) unstable; urgency=low

  * New upstream release (bugfixes and translation updates).
  * [debian/control.in] Bumped libgtk2.0-dev dependencies due to
    libXrender/libXcursor transition.

libwnck (2.14.0) unstable; urgency=low

  * New upstream GNOME 2.14 release.

libwnck (2.12.3-1) unstable; urgency=low

  * New upstream release (bugfixes and translation updates).
  * [debian/copyright] Updated FSF's address.

libwnck (2.12.2-2) unstable; urgency=low

  * Upload to unstable.

libwnck (2.12.2-1) experimental; urgency=low

  * New upstream release.

libwnck (2.12.1-1) experimental; urgency=low

  * New upstream version:
    - add support for the Urgent hint (Closes: #291079).
  * debian/control.in:
    - Build-Depends on libxres-dev, libxml-parser-perl.
    - updated for the soname change.
  * debian/watch:
    - updated.

libwnck (2.10.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.6.2.

libwnck (2.10.2-1) unstable; urgency=low

  * Sebastien Bacher:
    * New upstream version.
  * Josselin Mouette:
    * Don't overwrite DEB_CONFIGURE_SCRIPT_ENV completely.  

libwnck (2.10.0-2) unstable; urgency=low

  * Upload to unstable.

libwnck (2.10.0-1) experimental; urgency=low

  * New upstream version.
  * Updated for the soname change.
  * debian/control.in:
    - updated the Build-Depends.
  * debian/patches/01_xinerama.patch:
    - fixed with the new version.
  * debian/watch:
    - updated.

libwnck (2.8.1-3) unstable; urgency=low

  * debian/patches/01_xinerama.patch:
    - list all the applications in the windows list with xinerama 
      (Closes: #274890).

libwnck (2.8.1-2) unstable; urgency=low

  * GNOME team upload.
  * Upload to unstable.

libwnck (2.8.1-1) experimental; urgency=low

  * New upstream release.

libwnck (2.8.0.1-1) experimental; urgency=low

  * New upstream release.

libwnck (2.8.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.
  * [debian/rules] Don't build the documentation ourselves; use the files from
    the upstream tarball instead.
  * [debian/control.in] Dropped gtk-doc-tools build dependency.

libwnck (2.7.92-1) experimental; urgency=low

  * New upstream development release.
  * [debian/rules] Generate and install the documentation.
  * [debian/libwnck-dev.doc-base] Register the documentation.
  * [debian/libwnck-dev.links] Make the documentation accessible to devhelp.
  

libwnck (2.7.91-1) experimental; urgency=low

  * New upstream development release.
  * [debian/libwnck4.shlibs] Bumped, just in case.
  * [debian/control.in] Bumped libstartup-notification0-dev build dependency,
    just in case.
  * [debian/rules] Ensure at build time that all symbols are resolvable; make
    the linker work a bit harder to speed up dynamic loading.

libwnck (2.6.2-1) unstable; urgency=low

  * GNOME Team Upload.
  * New upstream release.
  * debian/libwnck4.shlibs:
    - updated the shlibs to 2.6.2.    
  * debian/rules:
    - removed dh_makeshlibs call since there is a libwnck4.shlibs doing 
      this job.

libwnck (2.6.1-3) unstable; urgency=low

  * Upload to unstable.

libwnck (2.6.1-2) experimental; urgency=low

  * Fix FTBFS on alpha (Closes: #249880)

libwnck (2.6.1-1) experimental; urgency=low

  * New upstream release.
  * Remove 01_pager.c.patch, it was merged upstream.

libwnck (2.6.0.1-2) experimental; urgency=low

  * Gnome Team Upload.
  * debian/rules:
    + updated shlibs version.
  * libwnck-common.files, libwnck-dev.files
    + removed old files.

libwnck (2.6.0.1-1) experimental; urgency=low

  * New upstream release.

libwnck (2.6.0-2) experimental; urgency=low

  * Add dependency on docbook-xml and gtk-doc-tools.

libwnck (2.6.0-1) experimental; urgency=low

  * New upstream release.

libwnck (2.4.0.1-4) unstable; urgency=low

  * New maintainer (Closes: #238900)

libwnck (2.4.0.1-3) unstable; urgency=low

  * Orphaned package.

libwnck (2.4.0.1-2) unstable; urgency=low

  * Apply patch from bugzilla to fix windows position with sawfish and
    pagers. You need to logout/login from the current session to see
    something (Closes: #216470)

libwnck (2.4.0.1-1) unstable; urgency=low

  * New upstream release.

libwnck (2.2.2-1) unstable; urgency=low

  * New upstream release.

libwnck (2.2.1-2) unstable; urgency=low

  * Update section

libwnck (2.2.1-1) unstable; urgency=low

  * New upstream release.

libwnck (2.2.0-1) unstable; urgency=low

  * New upstream release.

libwnck (2.1.90-2) unstable; urgency=low

  * Shoould build-depends and the -dev package too on
    libstartup-notification0-dev (Closes: #176129)

libwnck (2.1.90-1) unstable; urgency=low

  * New upstream release.

libwnck (2.1.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.5.8
  * This version fix the metcacity bug (Closes: #168498)

libwnck (0.18-1) unstable; urgency=low

  * New upstream release.

libwnck (0.17-2) unstable; urgency=low

  * Update to standards version 3.5.7

libwnck (0.17-1) unstable; urgency=low

  * New upstream release.

libwnck (0.16-1) unstable; urgency=low

  * New upstream release.

libwnck (0.15-1) unstable; urgency=low

  * New upstream release.

libwnck (0.14-1) unstable; urgency=low

  * New upstream release.

libwnck (0.13-1) unstable; urgency=low

  * New upstream release.

libwnck (0.12-2) unstable; urgency=low

  * Fix build-depends (Closes: #148041)

libwnck (0.12-1) unstable; urgency=low

  * New upstream release.
  * Move *.mo files in libwnck-common package.

libwnck (0.10-1) unstable; urgency=low

  * New upstream release.
  * Add support for DEB_HOST_GNU_TYPE DEB_BUILD_GNU_TYPE and
    DEB_BUILD_OPTIONS

libwnck (0.9-1) unstable; urgency=low

  * New upstream release.

libwnck (0.8-1) unstable; urgency=low

  * New upstream release.

libwnck (0.7-1) unstable; urgency=low

  * New upstream release.

libwnck (0.6-2) unstable; urgency=low

  * Build against the latest libraries.

libwnck (0.6-1) unstable; urgency=low

  * New upstream release.

libwnck (0.5-2) unstable; urgency=low

  * Build (again) against the latest libraries.

libwnck (0.5-1) unstable; urgency=low

  * New upstream release.

libwnck (0.3-1) unstable; urgency=low

  * New upstream release.

libwnck (0.2-3) unstable; urgency=low

  * Build against the latest libgtk1.3

libwnck (0.2-2) unstable; urgency=low

  * Build against the latest libatk9

libwnck (0.2-1) unstable; urgency=low

  * New upstream release.

libwnck (0.1-3) unstable; urgency=low

  * Build against th latest libgtk13 (Closes: #129089)

libwnck (0.1-2) unstable; urgency=low

  * debian/control Spell check (Closes: #125077, #125076)
  * Forgot to fill the Build-Depends field (Closes: #125699)

libwnck (0.1-1) unstable; urgency=low

  * Initial Release (Closes: #122958).
 -- Sebastien Bacher <email address hidden>   Tue,  05 Apr 2011 18:09:36 +0000

Upload details

Uploaded by:
Sebastien Bacher on 2011-04-05
Uploaded to:
Natty
Original maintainer:
Josselin Mouette
Architectures:
any
Section:
libs
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
libwnck3_2.91.90.orig.tar.gz 1.1 MiB c73f0754cd91693a2f257fe5ed42017d753d57baa228d35021fba51e07f15977
libwnck3_2.91.90-1.debian.tar.gz 12.0 KiB 23c06badf8a24908fd167dff667b0c7a88354bfa15255bbccafe8c24002f2528
libwnck3_2.91.90-1.dsc 1.6 KiB c036bc964ba5155476a4496717fff3f8e42d1295edff6e4b11119f44e8a613c6

View changes file

Binary packages built by this source

gir1.2-wnck-3.0: No summary available for gir1.2-wnck-3.0 in ubuntu natty.

No description available for gir1.2-wnck-3.0 in ubuntu natty.

libwnck-3-0: No summary available for libwnck-3-0 in ubuntu natty.

No description available for libwnck-3-0 in ubuntu natty.

libwnck-3-common: No summary available for libwnck-3-common in ubuntu natty.

No description available for libwnck-3-common in ubuntu natty.

libwnck-3-dev: No summary available for libwnck-3-dev in ubuntu natty.

No description available for libwnck-3-dev in ubuntu natty.